> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nativehub.live/llms.txt
> Use this file to discover all available pages before exploring further.

# Get message volume chart data

> Retrieve message volume data grouped by time period



## OpenAPI

````yaml GET /analytics/message-volume
openapi: 3.0.3
info:
  title: NativeMessage API
  version: 1.0.0
  description: Complete API documentation for NativeMessage platform
  contact:
    name: NativeMessage Support
    email: support@nativemessage.com
servers:
  - url: https://api-message.nativehub.live/api/v1
    description: Production server
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /analytics/message-volume:
    get:
      tags:
        - Analytics
      summary: Get message volume chart data
      description: Retrieve message volume data grouped by time period
      operationId: getMessageVolume
      parameters:
        - name: date_from
          in: query
          description: Start date for analytics
          schema:
            type: string
            format: date
        - name: date_to
          in: query
          description: End date for analytics
          schema:
            type: string
            format: date
        - name: period
          in: query
          description: Time period grouping
          schema:
            type: string
            enum:
              - day
              - week
              - month
            default: day
      responses:
        '200':
          description: Message volume data retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  labels:
                    type: array
                    items:
                      type: string
                  data:
                    type: array
                    items:
                      type: integer
                example:
                  labels:
                    - '2026-02-10'
                    - '2026-02-11'
                    - '2026-02-12'
                    - '2026-02-13'
                    - '2026-02-14'
                  data:
                    - 8420
                    - 9150
                    - 8950
                    - 9320
                    - 10250
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````